<template>
  <component :is="earComponent" v-if="earComponent" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import Round from './Round.vue'
import Square from './Square.vue'
import Pilote from './Pilote.vue'
import { GlassesType } from '@/api'

const props = defineProps<{
  type: GlassesType
}>()

const earComponent = computed<typeof Round | null>(() => {
  switch (props.type) {
    case 'square':
      return Square
    case 'round':
      return Round
    case 'pilote':
      return Pilote
    case 'none':
    default:
      return null
  }
})
</script>
